List Tax Rates
Retrieve a list of tax rates. The tax rates can be filtered by fields such as `id`. The tax rates can also be sorted or paginated.
In: header
Query Parameters
Comma-separated fields that should be included in the returned data. if a field is prefixed with + it will be added to the default fields, using - will remove it from the default fields. without prefix it will replace the entire default fields.
The number of items to skip when retrieving a list.
Limit the number of items returned in the list.
The field to sort the data by. By default, the sort order is ascending. To change the order to descending, prefix the field name with -.
Search terms to filter the tax rate's searchable properties.
Filter by whether the tax rate is a default in its tax region.
"true" | "false"Filter by a tax rate's creation date.
Filter by a tax rate's update date.
Filter by a tax rate's deletion date.
Join query parameters with an AND condition. Each object's content is the same type as the expected query parameters.
Join query parameters with an OR condition. Each object's content is the same type as the expected query parameters.
Filter by a service zone's ID to retrieve its associated tax rates.
Filter by a shipping profile's ID to retrieve its associated tax rates.
Filter by a fulfillment provider's ID to retrieve its associated tax rates.
Filter by a shipping option type's ID to retrieve its associated tax rates.
Whether to include deleted records in the result.
Response Body
application/json
application/json
text/plain
application/json
application/json
application/json
application/json
curl -X GET "https://{tenant}.api.myxclade.com/admin/tax-rates"{
"limit": 0,
"offset": 0,
"count": 0,
"tax_rates": [
{
"id": "string",
"rate": 10,
"code": "string",
"name": "string",
"metadata": {},
"tax_region_id": "string",
"is_combinable": true,
"is_default": true,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"deleted_at": "2019-08-24T14:15:22Z",
"created_by": "string",
"tax_region": {
"id": "string",
"country_code": "us",
"province_code": "us-ca",
"metadata": {},
"parent_id": "string",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"deleted_at": "2019-08-24T14:15:22Z",
"created_by": "string",
"tax_rates": [
{}
],
"parent": {},
"children": [
{}
]
},
"rules": [
{
"reference": "product_type",
"reference_id": "ptyp_1"
}
]
}
]
}{
"message": "Discount must be set to dynamic",
"type": "not_allowed"
}"Unauthorized"{
"message": "Entity with id 1 was not found",
"type": "not_found"
}{
"code": "unknown_error",
"message": "The request conflicted with another request. You may retry the request with the provided Idempotency-Key.",
"type": "QueryRunnerAlreadyReleasedError"
}{
"code": "invalid_request_error",
"message": "Discount with code TEST already exists.",
"type": "duplicate_error"
}{
"code": "api_error",
"message": "An error occured while hashing password",
"type": "database_error"
}